// Code generated by templ - DO NOT EDIT.

// templ: version: v0.2.778
package templx

//lint:file-ignore SA4006 This context is only used if a nested component is present.

import "github.com/a-h/templ"
import templruntime "github.com/a-h/templ/runtime"

func NavbarRun() templ.Component {
	return templruntime.GeneratedTemplate(func(templ_7745c5c3_Input templruntime.GeneratedComponentInput) (templ_7745c5c3_Err error) {
		templ_7745c5c3_W, ctx := templ_7745c5c3_Input.Writer, templ_7745c5c3_Input.Context
		if templ_7745c5c3_CtxErr := ctx.Err(); templ_7745c5c3_CtxErr != nil {
			return templ_7745c5c3_CtxErr
		}
		templ_7745c5c3_Buffer, templ_7745c5c3_IsBuffer := templruntime.GetBuffer(templ_7745c5c3_W)
		if !templ_7745c5c3_IsBuffer {
			defer func() {
				templ_7745c5c3_BufErr := templruntime.ReleaseBuffer(templ_7745c5c3_Buffer)
				if templ_7745c5c3_Err == nil {
					templ_7745c5c3_Err = templ_7745c5c3_BufErr
				}
			}()
		}
		ctx = templ.InitializeContext(ctx)
		templ_7745c5c3_Var1 := templ.GetChildren(ctx)
		if templ_7745c5c3_Var1 == nil {
			templ_7745c5c3_Var1 = templ.NopComponent
		}
		ctx = templ.ClearChildren(ctx)
		_, templ_7745c5c3_Err = templ_7745c5c3_Buffer.WriteString("<li class=\"nav-item dropdown\"><a class=\"nav-link dropdown-toggle\" href=\"#\" id=\"navbarDropdownRun\" role=\"button\" data-bs-toggle=\"dropdown\" aria-expanded=\"false\">Run</a><ul class=\"dropdown-menu\" aria-labelledby=\"navbarDropdownRun\"><li><a class=\"dropdown-item\" href=\"db\" target=\"_blank\">DB Explorer</a></li><li><a class=\"dropdown-item\" href=\"import\" target=\"_blank\">DB Importer</a></li><li><a class=\"dropdown-item\" href=\"trace\" target=\"_blank\">DB ID Tracer</a></li><li><a class=\"dropdown-item\" href=\"layout\" target=\"_blank\">Layout Manager</a></li><li><a class=\"dropdown-item\" href=\"ldp\" target=\"_blank\">Liturgical Day Properties</a></li><li><a class=\"dropdown-item\" href=\"logs\" target=\"_blank\">Log Viewer</a></li><li><a class=\"dropdown-item\" href=\"regex\" target=\"_blank\">Regular Expression Tester</a></li><li><a class=\"dropdown-item\" href=\"statistics\" target=\"_blank\">Statistics</a></li><li><a class=\"dropdown-item\" href=\"template\" target=\"_blank\">Template Explorer</a></li><li><a class=\"dropdown-item\" href=\"unicode\" target=\"_blank\">Unicode Tools</a></li></ul></li>")
		if templ_7745c5c3_Err != nil {
			return templ_7745c5c3_Err
		}
		return templ_7745c5c3_Err
	})
}

var _ = templruntime.GeneratedTemplate
